#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: Workflow

requirements:
  SubworkflowFeatureRequirement: {}
  MultipleInputFeatureRequirement: {}

inputs:
  IndexInput: File[]
  sampleRecord:
    type:
      type: array
      items:
        type: record
        fields:
          readsOfOneSample:
            type: File[]
          sampleName:
            type: string?
  isSingle: boolean
  FragmentLength: double?  
  StandardDeviation: double?
  BootstrapSamples: int?
  resultsFolder: string

steps:
  kallisto:
    run:  ../../workflows/kallisto/workflow.cwl
    in:
      IndexInput: IndexInput
      sampleRecord: sampleRecord
      isSingle: isSingle
      FragmentLength: FragmentLength
      StandardDeviation: StandardDeviation
      BootstrapSamples: BootstrapSamples
      resultsFolder: resultsFolder
    out: [finalOut]

outputs:
  finalOut:
    type: Directory[]
    outputSource: kallisto/finalOut
